## org.apache.commons.math.util
Class BigRealField

    java.lang.Object
      org.apache.commons.math.util.BigRealField

All Implemented Interfaces:
  Serializable, Field<BigReal>

    public class BigRealField

extends Object
implements Field<BigReal>, Serializable

Representation of real numbers with arbitrary precision field.

This class is a singleton.

Since:
  2.0
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $
See Also:
  `BigReal`, Serialized Form

Nested Class Summary
`private static class` `BigRealField.LazyHolder` Holder for the instance.

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`private` `BigRealField()` Private constructor for the singleton.

Method Summary
`static BigRealField` `getInstance()` Get the unique instance.
`BigReal` `getOne()` Get the multiplicative identity of the field.
`BigReal` `getZero()` Get the additive identity of the field.
`private Object` `readResolve()` Handle deserialization of the singleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### BigRealField

    private BigRealField()

  Private constructor for the singleton.

Method Detail

### getInstance

    public static BigRealField getInstance()

  Get the unique instance.

  Returns:
    the unique instance

### getOne

    public BigReal getOne()

  Get the multiplicative identity of the field.

  The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

  Specified by:
    `getOne` in interface `Field<BigReal>`
  Returns:
    multiplicative identity of the field

### getZero

    public BigReal getZero()

  Get the additive identity of the field.

  The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

  Specified by:
    `getZero` in interface `Field<BigReal>`
  Returns:
    additive identity of the field

### readResolve

    private Object readResolve()

  Handle deserialization of the singleton.

  Returns:
    the singleton instance

Copyright (c) 2003-2013 Apache Software Foundation